import sys
import pandas as pd
import numpy as np
import os
import json
from copy import deepcopy
import argparse
import datetime
import itertools
import synforest.utils as utils
import synforest.steps as steps

if __name__ == '__main__':
    if len(sys.argv) < 2:
        print('Usage: python build_forest.py <config_path>')
        sys.exit(1)
    config = utils.load_config(sys.argv[1])
    steps.map(config)
    steps.scene(config)
    steps.simulation(config)
    steps.finalize(config)
