#!/bin/bash
#SBATCH -t 8:00:00
#SBATCH -p standard96
#SBATCH -o tmp/%J-merge.txt

CUR_WORK_DIR="$1"
shift

OUT_DIR="$1"
shift

echo "Activating conda..."
CONDA_BASE=$(conda info --base)
source $CONDA_BASE/etc/profile.d/conda.sh
conda activate synforest

echo "Running merge_tiles.py"
python ./src/synforest/utils/merge_tiles.py $CUR_WORK_DIR $OUT_DIR $@