import os

def finalize(config):
    forest_map_file = os.path.join(config["work_dir"], config["id"], 'forest_map.csv')
    forest_scene_file = os.path.join(config["work_dir"], config["id"], 'forest_scene.csv')
    output_dir = os.path.join(config['simulation']['output_dir'], config['id'])
    os.makedirs(output_dir, exist_ok=True)
    # Copy forest_map.csv to output_dir
    os.system('cp {} {}'.format(forest_map_file, output_dir))
    # Copy forest_scene.csv to output_dir
    os.system('cp {} {}'.format(forest_scene_file, output_dir))
    print("Once complete, your forest files are located at: " + output_dir + "/forest_synthesis/$FOREST_BASENAME/$FOREST_BASENAME.laz".replace("$FOREST_BASENAME", config["timestamp"]))


