import os
import pandas as pd
import numpy as np
import json
import datetime

def get_timestamp():
    return datetime.datetime.now().strftime("%Y%m%d-%H%M%S")

def load_config(config_path):
    timestamp = get_timestamp()
    print('Loading ' + config_path + ' with timestamp: ' + timestamp)
    config = json.load(open(config_path))
    config = json.loads(json.dumps(config).replace("{timestamp}", timestamp))
    config = json.loads(json.dumps(config).replace("{id}", config['id']))
    config['timestamp'] = timestamp
    return config